commit 998e0c0a7e8a6305acb7a20748dba6fe9c212081
Author: jklowden <jklowden>
Date:   Thu Jan 10 22:57:39 2008 +0000

    updated documentation

diff --git a/INSTALL.CVS b/INSTALL.CVS
index d42c3aa..53d62d6 100644
--- a/INSTALL.CVS
+++ b/INSTALL.CVS
@@ -16,9 +16,9 @@ connecting to the CVS server.  Then follow these steps:
 	
 	Autotool versions that work:
 	$ (autoconf --version; automake --version; libtool --version) |grep GNU
-	autoconf (GNU Autoconf) 2.59
-	automake (GNU automake) 1.9.5
-	ltmain.sh (GNU libtool) 1.5.14 (1.1220.2.195 2005/02/12 12:12:33)
+	autoconf (GNU Autoconf) 2.60
+	automake (GNU automake) 1.9.6
+	ltmain.sh (GNU libtool) 1.5.18 (1.1220.2.245 2005/05/16 08:55:27)
 	
 	The above are used to generate the distributions.  
 	You may get away with older versions, as far back as 2.53 for autoconf.
@@ -44,10 +44,10 @@ connecting to the CVS server.  Then follow these steps:
 	
 +++
 
-You are not required to rely on Source Forge's anonymous CVS server, which at
+You are not required to rely on SourceForge's anonymous CVS server, which at
 the present time (July 2004) runs up to 1 hour behind the development server. 
 You can fetch the CVS tarball (the basis for a CVS server, not a snapshot) from
-Source Forge at:
+SourceForge at:
 
 http://cvs.sourceforge.net/cvstarballs/freetds-cvsroot.tar.bz2
 
@@ -62,4 +62,4 @@ the CVS tree via rsync:
 $ rsync -av rsync://freetds.cvs.sourceforge.net/cvsroot/freetds/* .
 	
 --
-$Id: INSTALL.CVS,v 1.7 2007/04/05 14:17:05 freddy77 Exp $
+$Id: INSTALL.CVS,v 1.8 2008/01/10 22:57:39 jklowden Exp $
diff --git a/NEWS b/NEWS
index 851fbce..bc2fdf3 100644
--- a/NEWS
+++ b/NEWS
@@ -1,33 +1,63 @@
-$Id: NEWS,v 1.43 2008/01/08 13:29:40 freddy77 Exp $
-* 0.82
-- support NUL characters inside terminators in freebcp
-- cursors under ODBC (mssql)
+$Id: NEWS,v 1.44 2008/01/10 22:57:39 jklowden Exp $
+
+Executive Summary of Changes in release 0.82
+--------------------------------------------
+
+1.  timeout handling
+2.  encrypted connections
+3.  fisql (and odbc utilities)
+4.  autoconf improvements
+5.  23,710 lines added or deleted (101,022 total).
+6.  85 files added
+7.  21 unit tests added
+
+Details
+-------
+
+db-lib
+- timeouts work! 
+- corrected dbnextrow 
+- implemented dbsetnull and dbsetinterrupt
+- improved error reporting and checking
+- fixed rpc parameter processing, now php works correctly
+
+ct-lib
+- added cs_loc_alloc, cs_loc_drop, cs_locale implementations
+
+odbc
+- cursors (mssql)
+- fixed database setting 
+- return error always if odbc returns SQL_ERROR
+- fixed SQLGetData result
+
+utilities
+- added support for NUL characters inside terminators in freebcp
+- added row termination and column termination option to tsql
+- new fisql application
+- new ODBC utilities
+
+documentation
+- significant updates to TDS protocol documentation
+- freetds.conf man page
+- added tenderfoot sample code
+
+general
+- fixed timeout handling
+- added freetds.conf option for encryption
+- added protocol version discovery
 - NTLM2 session response
-- lot of update to TDS protocol documentation
+- read table and real column name from wire
+- experimental Kerberos support using gssapi
 - some optimizations for GCC4
 - optimized conversions avoiding some memory copy
 - minor improves to server stuff
-- add row termination and column termination option to tsql
-- improve locale stuff on ctlib
-  added cs_loc_alloc, cs_loc_drop, cs_locale implementations
-- improve MingW compile (even cross one)
-- implement dbsetnull on dblib
-- improve dblib error reporting and check
+- improved MingW compile (even cross one)
 - more verbose log for dblib and odbc
-- fix rpc parameter on dblib, now php works correctly
 - many test added
   1 test for libTDS
   1 test for ctlib
   3 tests for dblib
   13 tests for odbc
-- fix database setting on odbc
-- fix timeout stuff
-- return always an error if odbc return SQL_ERROR
-- fix SQLGetData result
-- add freetds.conf option for encryption
-- add protocol version discovery
-- read table and real column name from wire
-- experimental Kerberos support using gssapi
 
 libTDS API changes
 - tds_add_row_column_size removed
@@ -38,7 +68,7 @@ libTDS API changes
 - added TDSCURSOR->type and TDSCURSOR->concurrency for mssql support
 - added fetch_type and i_row parameters to tds_cursor_fetch
 - added tds_cursor_update and tds_cursor_setname functions
-- make tds_alloc_get_string static
+- made tds_alloc_get_string static
 - removed tds_free_cursor
 - added TDSCURSOR->ref_count
 - added tds_cursor_deallocated and tds_release_cursor to handle
@@ -48,8 +78,8 @@ libTDS API changes
   to trace pointer owner between libTDS and upper libraries
 - added TDS_COMPILETIME_SETTINGS->sysconfdir
 - changed DSTR_STRUCT structure to include dstr_size
-- change DSTR type
-- error handler cannot return TDS_INT_EXIT (no more defined)
+- changed DSTR type
+- error handler cannot return TDS_INT_EXIT
 - removed TDSSOCKET->query_timeout_func TDSSOCKET->query_timeout_param,
   TDSSOCKET->query_start_time
 - changed TDSLOGIN->host_name to client_host_name
@@ -83,7 +113,6 @@ libTDS API changes
 - added TDSSOCKET->tds9_transaction (used internally for TDS9)
 - added TDSCONNECTION->server_host_name needed for Kerberos support
 
-
 * 0.64
 - core library
  - reduced network bandwidth use on Linux and *BSD
diff --git a/TODO b/TODO
index 49074e8..55b0fbf 100644
--- a/TODO
+++ b/TODO
@@ -4,11 +4,11 @@ followed by things that should work before the next release,
 followed by features that should be added/fixed/reworked (grouped by library).  
 
 Everyone is encouraged to add to the list.  Developers can do it directly; 
-anyone else can post a patch to Source Forge.  
+anyone else can post a patch to SourceForge.  
 In this way we can communicate with each
 other about the project's priorities and needs.  
 
-To Do List	$Id: TODO,v 1.166 2008/01/10 08:47:37 freddy77 Exp $
+To Do List	$Id: TODO,v 1.167 2008/01/10 22:57:39 jklowden Exp $
 ------------
 
 Bug? ML 2007-05-30 "dbsqlexec() never returns" 
@@ -30,20 +30,13 @@ Broken:
 
 Work in progress:
 
-Postponed to 0.65 version
 . log and call error handler on problems with tds_iconv_init().
 . iconv
   - support string conversions for Sybase
-  - add test for locale_charset() to configure.in.  Use it if available
-    instead of nl_langinfo, because it implies we're using GNU iconv
 . add doc/htdoc/Makefile with "publish" target to commit cvs and update
   freetds.org
 . drop txt2man from cvs, skip building man pages without it. 
 . be able to disable iconv for BCP (see Sybase documentation)
-. userguide
-  - update table of working configurations
-    server (vendor, version, platform) - client (freetds version, platform) 
-    - protocol - charsets - date
 
 For future versions (in priority order within library):
   All:
@@ -59,7 +52,6 @@ For future versions (in priority order within library):
 . Add missing constants needed for python and verify working
 . Add missing constants needed for Gnome-DB and verify working 
 . conversion from ucs2 to utf8, provide for 2+ bytes/character
-. tdsping program for testing purposes
 . Finish off the TDS dissector for ethereal
 . more solid. handle out of memory conditions (started, we must test all 
   allocation and all function that return allocated data and be able to 
@@ -81,8 +73,8 @@ For future versions (in priority order within library):
   (too complicate, see ctlib bulk, cf "bulk copy and row buffer")
 . improve cursor support on dblib and ctlib
 . support for VARIANT type (requested one time, 2003-8-1)
-. support for NT named pipe (requested many time ago for mssql6.5 server, only
-  for completeness). If anybody knows a library to handle named pipes
+. support for NT named pipe (requested long ago for mssql6.5 server, only
+  for completeness). If the reader knows a library to handle named pipes
   compatible with LGPL please tell us.
 . read on partial packet, do not wait entire one
 . detect if realloc/free accepts NULL pointers (in configure.in)
diff --git a/doc/userguide.sgml b/doc/userguide.sgml
index d26bb2e..e8d4c79 100644
--- a/doc/userguide.sgml
+++ b/doc/userguide.sgml
@@ -5,8 +5,8 @@
 ]>
 <book>
 	<bookinfo>
-		<date>$Date: 2008/01/08 13:29:40 $</date>
-		<releaseinfo>$Revision: 1.110 $</releaseinfo>
+		<date>$Date: 2008/01/10 22:57:39 $</date>
+		<releaseinfo>$Revision: 1.111 $</releaseinfo>
 		<title><productname>FreeTDS</productname> User Guide</title>
 		<subtitle>A Guide to Installing, Configuring, and Running <productname>FreeTDS</productname></subtitle>
 		<author>
@@ -26,6 +26,7 @@
 		  <year>2005</year>
 		  <year>2006</year>
 		  <year>2007</year>
+		  <year>2008</year>
 		  <holder>Brian Bruns and James K. Lowden</holder>
 		</copyright>
 		<legalnotice><para>
@@ -55,9 +56,9 @@ This guide is here for you, and we hope that you will be here for it, that other
 The version you're reading is:
 			</para> 
   			<simplelist type='vert'>
-<member>$Revision: 1.110 $</>
-<member>$Date: 2008/01/08 13:29:40 $</>
-<member>CVS control number $Id: userguide.sgml,v 1.110 2008/01/08 13:29:40 freddy77 Exp $.</>
+<member>$Revision: 1.111 $</>
+<member>$Date: 2008/01/10 22:57:39 $</>
+<member>CVS control number $Id: userguide.sgml,v 1.111 2008/01/10 22:57:39 jklowden Exp $.</>
   			</simplelist>
 			</footnote>
 can be found on the <productname>FreeTDS</productname> 
@@ -201,7 +202,7 @@ project on SourceForge.  It is a fork of the
 		<sect2 id="Status">
 			<title>Status</title>
 			<para>
-The <systemitem class="library">db-lib</systemitem> and <systemitem class="library">ct-lib</systemitem> <acronym>API</>s have been usable for several years.  They have been successfully  substituted for Sybase's own libraries in a variety of venues, including <productname>Perl</productname> and <productname>PHP</productname>.  That is not to say that these drivers are complete; they're not.  But they faithfully implement an important subset of their <acronym>API</>s, enough to be useful.  This 0.64 version boasts support for server-side cursors in <systemitem class="library">ct-lib</systemitem>.  
+The <systemitem class="library">db-lib</systemitem> and <systemitem class="library">ct-lib</systemitem> <acronym>API</>s have been usable for several years.  They have been successfully  substituted for Sybase's own libraries in a variety of venues, including <productname>Perl</productname> and <productname>PHP</productname>.  That is not to say that these drivers are complete; they're not.  But they faithfully implement a useful &mdash; and widely used &mdash; subset of their <acronym>API</>s.  
 			</para>
 			<para>
 In addition to the core <systemitem class="library">db-lib</systemitem> <acronym>API</>, <productname>FreeTDS</productname>  includes a full implementation of <systemitem class="library">db-lib</systemitem>'s <acronym>bcp</> functions, as well as <command>freebcp</>, a replacement for Sybase's <application>bcp</application> utility.  
@@ -567,7 +568,7 @@ url="http://www.madgoat.com">www.madgoat.com</ulink>).</para>
 		</sect3>
 		</sect2>
 		<sect2 id="osx"><title>OS X&reg;</title>
-  			<para>As of this writing ($Date: 2008/01/08 13:29:40 $), the regular distribution compiles on OS X.  Releases prior to 0.63 either did not compile or required patching.  </para>
+  			<para>As of this writing ($Date: 2008/01/10 22:57:39 $), the regular distribution compiles on OS X.  Releases prior to 0.63 either did not compile or required patching.  </para>
 
 		<sect3 id="OSX.Build.Update">
 			<title>Alternative build procedure</title>
@@ -941,8 +942,7 @@ As of 0.62 FreeTDS uses iconv to convert all character data, so there's no need
 	<entry>instance</entry>
 	<entry>instance name</entry>
 	<entry>none</entry>
-	<entry><para>Name of Microsoft SQL Server <emphasis>instance</> to connect to. The port will be detected automatically.
-		<note><para>This requires an extra round-trip with server and may thus slightly delay making the connection.</para></note></para></entry>
+	<entry><para>Name of Microsoft SQL Server <emphasis>instance</> to connect to. The port will be detected automatically.</para></entry>
 	</row>
 	<row>
 	<entry>debug flags</entry>
@@ -1512,7 +1512,7 @@ The following table defines all possible ODBC connection attributes for the <pro
 	<entry><literal>Server</></entry>
 	<entry>A server name or (ip) address</entry>
 	<entry>none</entry>
-	<entry>Hostname of a server. Used in an ODBC-only configuration. As of version 0.64 you can specify a Microsoft SQL Server instance in the form of <literal>server\instance</literal>.  </entry>
+	<entry>Hostname of a server. Used in an ODBC-only configuration. To specify a Microsoft SQL Server instance, use the form <literal>server\instance</literal>.  </entry>
 	</row>
 	<row>
 	<entry><literal>Port</></entry>

